version: '3.8'

services:
  # ?? ??? USDT/USD
  kraken-bot-usdtusd:
    build: .
    container_name: kraken-usdtusd-bot
    restart: unless-stopped
    
    environment:
      - KRAKEN_API_KEY=${KRAKEN_API_KEY}
      - KRAKEN_API_SECRET=${KRAKEN_API_SECRET}
      - TRADE_AMOUNT=${TRADE_AMOUNT_USDTUSD:-10}
      - DRY_RUN=${DRY_RUN:-true}
    
    volumes:
      - ./logs:/app/logs
      - ./ultra_smart_bot.py:/app/ultra_smart_bot.py
    
    command: python ultra_smart_bot.py
    
    profiles:
      - usdtusd
      - all
    
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"

  # ?? ??? USDC/USD
  kraken-bot-usdcusd:
    build: .
    container_name: kraken-usdcusd-bot
    restart: unless-stopped
    
    environment:
      - KRAKEN_API_KEY=${KRAKEN_API_KEY}
      - KRAKEN_API_SECRET=${KRAKEN_API_SECRET}
      - TRADE_AMOUNT=${TRADE_AMOUNT_USDCUSD:-10}
      - DRY_RUN=${DRY_RUN:-true}
    
    volumes:
      - ./logs:/app/logs
      - ./ultra_smart_bot_usdcusd.py:/app/ultra_smart_bot_usdcusd.py
    
    command: python ultra_smart_bot_usdcusd.py
    
    profiles:
      - usdcusd
      - all
    
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"

  # ?? ??? USDC/USDT
  kraken-bot-usdcusdt:
    build: .
    container_name: kraken-usdcusdt-bot
    restart: unless-stopped
    
    environment:
      - KRAKEN_API_KEY=${KRAKEN_API_KEY}
      - KRAKEN_API_SECRET=${KRAKEN_API_SECRET}
      - TRADE_AMOUNT=${TRADE_AMOUNT_USDCUSDT:-10}
      - DRY_RUN=${DRY_RUN:-true}
    
    volumes:
      - ./logs:/app/logs
      - ./ultra_smart_bot_usdcusdt.py:/app/ultra_smart_bot_usdcusdt.py
    
    command: python ultra_smart_bot_usdcusdt.py
    
    profiles:
      - usdcusdt
      - all
    
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"